#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-IH8LmBHbl9v2FVmoJy8STu
key:                  hls-refactor-plugin-1.1.0.0-IH8LmBHbl9v2FVmoJy8STu
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  4e6e286b69c567c3e740306cb88575a6
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-IH8LmBHbl9v2FVmoJy8STu
depends:
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    dlist-1.0-Ge5E4TM9DngAWe8aSUgFvB
    extra-1.7.14-DtzIfRYPdKwKG7ww90MJHk ghc-9.0.2 ghc-boot-9.0.2
    ghc-exactprint-0.6.4-LTl6j0MNexTD9rJl8Xkpaq
    ghcide-1.9.1.0-6LjNtXxEsFjP6FTRfnjBs
    hls-graph-1.9.0.0-FjV8ksL6GzrEljboHSS9Eq
    hls-plugin-api-1.6.0.0-AMyEr3ncypu50jLRT7GrE2
    lens-5.2.3-Fb2iV9hhvDiI9S0zVfKi3i
    lsp-1.6.0.0-A16Z9QgFStqCp41XDJvaIy mtl-2.2.2
    regex-tdfa-1.3.2.2-I0UrgtK2N0gKpXS2O34Vp5
    retrie-1.1.0.0-2l62BMJg38pEmEzix1VX8y
    syb-0.7.2.4-CrXKYIWYt0k5oYW5xy7ynG text-1.2.5.0
    text-rope-0.2-9FAjM9srnWjDpeNrHBiAzj time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

